import-from

> Import a module like with `require()` but from a given path

# Install

$ npm install --save import-from

# Usage

const importFrom = require('import-from');
// There is a file at `./foo/bar.js`
importFrom('foo', './bar');

# API

## importFrom(fromDir, moduleId)

Like `require()`, throws when the module can't be found.

## importFrom.silent(fromDir, moduleId)

Returns `null` instead of throwing when the module can't be found.

### fromDir

Type: `string`

Directory to import from.

### moduleId

Type: `string`

What you would use in `require()`.

# Tip

Create a partial using a bound function if you want to import from the same `fromDir` multiple times:

const importFromFoo = importFrom.bind(null, 'foo');
importFromFoo('./bar');
importFromFoo('./baz');

# Related

- import-cwd - Import a module from the current working directory
- resolve-from - Resolve the path of a module from a given path
- resolve-cwd - Resolve the path of a module from the current working directory
- resolve-pkg - Resolve the path of a package regardless of it having an entry point
- import-lazy - Import modules lazily

# License

MIT © Sindre Sorhus